Bug 864725 - Use of variables in strings prevent proper translation
Use of variables in strings prevent proper translation
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Localization and Internationalization (Show other bugs)
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Katello QA List
: Triaged
: 864726 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-10-09 21:08 EDT by Hedda Peters
Modified: 2013-12-16 09:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-16 09:23:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-10-09 21:08:22 EDT
Description of problem:
The following string cannot be translated properly, because the use of variables:

"A label was not provided during %s creation; therefore, a label of '%s' was automatically assigned. If you would like a different label, please delete the %s and recreate it with the desired label."

"...delete the %s and recreate it..."  Depeding on what %s will be replaced with, there are several possible translations for "the" and "it" in many languages.

Better would be to have this string translated several times with all possible values for %s visible to translators.
Comment 4 Mike McCune 2012-11-07 11:23:47 EST
%s is a user entered value that will not be translated.  We can investigate how to put better variables in our strings but you will see lots of cases where we do variable substitution based on user-input data.
Comment 5 Mike McCune 2012-11-07 11:25:54 EST
*** Bug 864726 has been marked as a duplicate of this bug. ***
Comment 6 Mike McCune 2013-08-16 14:13:25 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 7 Bryan Kearney 2013-12-16 09:23:23 EST
Closing all i18n bus due to ne architecture. The goal is still a localized UI and CLI, but we will do this via a new round of testing.

Note You need to log in before you can comment on or make changes to this bug.